Skip to content

Submit the answers to the questions regarding the Anti-Money Laundering Directive (AMLD5).

POST
/api/v1/user/verify/amld5

The user has to provide one of the answer options for each question. For a list of the questions see the GET /api/v1/user/verify/amld5 endpoint.

Array<object>
object
key
required

A key to identify a question.

string
Example
employmentStatus
answer
required

An answer to the question the key is referencing.

string
Example
Investing
Example
[
{
"key": "mainSourceOfIncome",
"answer": "Salary"
},
{
"key": "annualNetIncome",
"answer": "From 10.000 to 30.000"
},
{
"key": "employmentStatus",
"answer": "Employed"
}
]

AMLD5 answers submitted successfully.

object
emailAddress

Email address of the user.

string
Example
firstName

First name of the user.

string
Example
John
lastName

Last name of the user.

string
Example
Doe
region

Region of the user.

string
Example
nl-nl
phoneNumber

Phone number of the user.

string
registrationDate

Registration date of the user.

string
Example
2019-01-01T14:13:55Z
activationDate

The date and time the user account was activated.

string
Example
2019-01-02T12:43:25Z
is_business
boolean
limits
object
buy
object
limit
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
remaining
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
interval

The interval of the trade limit.

string
Example
P1D
sell
object
limit
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
remaining
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
interval

The interval of the trade limit.

string
Example
P1D
enabledIbanAccounts

Deprecated: Use enabledAccounts instead. Enabled IBAN accounts of the user.

Array<object>
object
number
string
holder
string
verified
boolean
enabledWalletAddresses

Enabled wallet addresses of the user.

Array<object>
object
currency

The currency.

string
Example
BTC
address

The address.

string
Example
3FZbgi29cpjq2GjdwV8eyHuJJnkLtktZc5
destinationTag

The destination tag which should be used to send the coins. This depends on the coin type and can be a string or an integer. For XRP it is an integer, for other coins it is a string.

string|integer
default: [object Object] nullable
Example
{
"default": "ABC1234",
"XRP": 12341
}
name

A descriptive name.

string
Example
My BTC wallet 1
status
string
Allowed values: open pending disabled verified rejected
walletType
One of:
string
Allowed values: vasp unhosted
verificationStatus
One of:
string
Allowed values: required travel_rule_required
id

The id.

integer
Example
189632
enabledAccounts

Enabled accounts of the user.

Array<object>
object
type

The account type.

string
Example
iban
name

Human-readable label for the account (e.g. “My bank account”).

string
Example
My bank account
identifier

Account identifier such as IBAN or wallet address.

string
Example
NL00BANK0123456789
verified

Indicates whether the account has been verified.

boolean
Example
true
limitRaised

Indicates whether the account limit has been raised.

boolean
status
object
status

The validation status.

string
Allowed values: pending validated not-validated blocked
Example
blocked
description

Description of the validation status.

string
Example
Identification process did not succeed.
details
object
amld5VerificationStatus

Status of the AMLD5 verification.

string
Allowed values: open verified
Example
verified
emailAddressVerificationStatus

Status of the email address verification.

string
Allowed values: open pending failed verified
Example
verified
identityVerificationStatus

Status of the identity verification.

string
Allowed values: open pending failed verified
Example
pending
privacyAgreementVerificationStatus

Status of the acceptance of the privacy agreement.

string
Allowed values: open pending failed verified
Example
failed
identityDocumentVerificationStatus
Array<object>
object
documentType

The document type.

string
Allowed values: Passport IdentityCard DrivingLicence Selfie SecondSelfie ProofOfResidency ResidencePermit IbanVerification WalletVerification LivenessCheck
Example
Passport
documentSide

The side of the document.

string
Allowed values: Front Back Selfie SecondSelfie ProofOfResidency VideoProof
Example
Front
status

The status of the document.

string
Allowed values: missing pending present rejected
Example
missing
residentialAddressVerificationStatus

Status of the residential address verification.

string
Allowed values: missing present
Example
present
verificationLevel
object
id
required

The verification level UUID.

string format: uuid
Example
a1b2c3d4-0003-4000-8000-000000000003
level
required

The verification level identifier.

string
Example
hero
buyLimit
required
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
sellLimit
required
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR

A list of possible errors for this endpoint.

object
code
required
string
Allowed values: ER100 ER101 ER800 ER801 ER802 ER803 ER805 ER806 ER999
message
required
string
solution
required
string
Example
{
"errors": {
"ER100": {
"code": "ER100",
"message": "Missing or malformed AMLD5 answers.",
"solution": "Provide well-formed AMLD5 answers with correct keys."
},
"ER101": {
"code": "ER101",
"message": "Invalid AMLD5 answer provided.",
"solution": "Provide valid, supported answers for all questions."
},
"ER800": {
"code": "ER800",
"message": "Authorization token is invalid.",
"solution": "Provide a valid authorization token."
},
"ER801": {
"code": "ER801",
"message": "Authorization token has expired.",
"solution": "Request a new authorization token."
},
"ER802": {
"code": "ER802",
"message": "Authorization token not found.",
"solution": "Provide an authorization token."
},
"ER803": {
"code": "ER803",
"message": "Multiple authorization methods used.",
"solution": "Use exactly one authorization method."
},
"ER805": {
"code": "ER805",
"message": "API key is invalid.",
"solution": "Provide a valid API key."
},
"ER806": {
"code": "ER806",
"message": "API key not found.",
"solution": "Provide an API key."
},
"ER999": {
"code": "ER999",
"message": "A general error has occurred. Please contact our support team.",
"solution": "Contact our support team."
}
}
}